OpenVDB 7.0.0

Classes | Namespaces | Functions
Ray.h File Reference

A Ray class. More...

`#include "Math.h"`
`#include "Vec3.h"`
`#include "Transform.h"`
`#include <algorithm>`
`#include <iostream>`
`#include <limits>`

Go to the source code of this file.

## Classes
class | Ray< RealT >
struct | Ray< RealT >::TimeSpan

## Namespaces
| openvdb
| openvdb::v7_0
| openvdb::v7_0::math

## Functions
template<typename RealT >
std::ostream & | operator<< (std::ostream &os, const Ray< RealT > &r)
| Output streaming of the Ray class. More...

## Detailed Description

A Ray class.

Author
  Ken Museth